<template>
	<main>
		<Header>
				<p class="ma-0 text-h6">Home</p>
			<template v-slot:symbol>
				<IconwHover icon="mdi-plus-box" />
			</template>
		</Header>
		<div>
			<FormNewTweet @newTweetBtn="$emit('newBtn')" />
			<v-divider></v-divider>
			<v-spacer class="my-5"></v-spacer>
			<v-divider></v-divider>
			<Tweet :tweet="tweet" />
			<Tweet :tweet="tweetWithImages" />
			<Tweet :tweet="tweet" />
			<Tweet :tweet="tweet" />
		</div>
	</main>
</template>

<script>
import FormNewTweet from "../Additional/FormNewTweet.vue";
import Header from "../Additional/Header.vue";
import IconwHover from '../Additional/IconwHover.vue';
import Tweet from "../Additional/Tweet.vue";

export default {
	components: {
		Header,
		FormNewTweet,
		Tweet,
		IconwHover,
	},
	data() {
		return {
			tweet: {
				name: "Twitter",
				username: "@twitter",
				time: "4m",
				message:
					"Lorem ipsum dolor sit amet consectetur adipisicing elit. Quisquam eius magni distinctio nihil voluptate illum cupiditate animi? Architecto, blanditiis, quos cum ducimus molestias laudantium voluptas quasi officiis corporis cupiditate perspiciatis.",
				images: null
			},
			tweetWithImages: {
				name: "Twitter",
				username: "@twitter",
				time: "4m",
				message:
					"Lorem ipsum dolor sit amet consectetur adipisicing elit. Quisquam eius magni distinctio nihil voluptate illum cupiditate animi? Architecto, blanditiis, quos cum ducimus molestias laudantium voluptas quasi officiis corporis cupiditate perspiciatis.",
				images: [
					require('../../assets/images_1.jpg'),
					require('../../assets/images_2.jpg'),
					require('../../assets/images_3.jpg'),
					require('../../assets/images_4.jpg'),
				]
			}
		};
	},
};
</script>

<style scope>
main {
	width: 100%;
}
</style>